List budgets for the organization.

Base URL
https://cloud.elastic.co Public

Retrieves budgets for the specified organization. Callers with org-wide budget access receive all budgets; others receive only budgets scoped to cloud resources they can access.

Path parameters

organization_id string required

The organization ID

Responses

Budgets successfully retrieved

application/json
<array> object[]
active boolean required
alerts object[] required
created_at string
id integer required
last_exceeded_at string
operator enum required
Values: gte
threshold integer required
threshold_type enum required
Values: percentage
amount integer required
created_at string
id integer required
name string
period enum required
Values: monthly
recipient_group enum[] required
Values: organization-admins billing-admins resource-viewers resource-editors resource-admins
scope_type enum required
Values: organization cloud_resource
scope_values string[] required
500

Internal server error (error_getting_budgets, error_fetching_cloud_resources)

Base URL
https://cloud.elastic.co Public